/**
 * Copyright(C) 2013 Patrik Dufresne Service Logiciel <info@patrikdufresne.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.planimod.core.planif;

import java.util.AbstractList;

/**
 * Unmodifiable list converting boolean array into Integer list.
 * 
 * @author Patrik Dufresne
 */
class CoefficientList extends AbstractList<Double> {

    private boolean reverse;

    private boolean[] table;

    public CoefficientList(boolean[] table) {
        this(table, false);
    }

    public CoefficientList(boolean[] table, boolean reverse) {
        this.table = table;
        this.reverse = reverse;
    }

    @Override
    public Double get(int index) {
        if (this.reverse) {
            return this.table[index] ? SolveRunnable.ZERO : SolveRunnable.ONE;
        }
        return this.table[index] ? SolveRunnable.ONE : SolveRunnable.ZERO;
    }

    @Override
    public int size() {
        return this.table.length;
    }
}