/**
 * Copyright(C) 2013 Patrik Dufresne Service Logiciel <info@patrikdufresne.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.planimod.core.planif;

import com.planimod.core.Employee;

/**
 * Immutable class representing a warning to be displayed to the user to help him with the assignment. Some of the
 * warning represent business rule to be follows.
 * 
 * @author Patrik Dufresne
 */
public abstract class ProposedWarning {

    protected Employee employee;

    public Employee getEmployee() {
        return employee;
    }

    /**
     * 
     * @param the employee who is the target of the warning
     */
    public ProposedWarning(Employee employee) {
        if (employee == null) {
            throw new IllegalArgumentException();
        }
        this.employee = employee;
    }

}