/**
 * Copyright(C) 2013 Patrik Dufresne Service Logiciel <info@patrikdufresne.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.planimod.ui.databinding.manager;

import org.eclipse.core.databinding.observable.set.IObservableSet;

import com.patrikdufresne.managers.databinding.ArchivableObjectComputedSet;
import com.patrikdufresne.managers.databinding.ManagedObjectComputedSet;
import com.planimod.core.Employee;
import com.planimod.core.EmployeePreference;
import com.planimod.core.PlanimodManagers;
import com.planimod.core.Position;
import com.planimod.core.Product;
import com.planimod.core.Section;
import com.planimod.core.Team;

/**
 * Utility class to create computed set for managed object.
 * 
 * @author Patrik Dufresne
 * 
 */
public class PlanimodObservables {

    /**
     * List employees.
     * 
     * @param managers
     *            the managers
     * @return the observable computedset
     */
    public static ManagedObjectComputedSet listEmployees(PlanimodManagers managers) {
        return new ManagedObjectComputedSet(managers, Employee.class);
    }

    /**
     * List positions.
     * 
     * @param managers
     *            the managers
     * @return the observable computedset
     */
    public static ManagedObjectComputedSet listPosition(PlanimodManagers managers) {
        return new ManagedObjectComputedSet(managers, Position.class);
    }

    /**
     * List employees.
     * 
     * @param managers
     *            the managers
     * @return the observable computedset
     */
    public static ManagedObjectComputedSet listProduct(PlanimodManagers managers) {
        return new ManagedObjectComputedSet(managers, Product.class);
    }

    /**
     * List sections.
     * 
     * @param managers
     *            the managers
     * @return the observable computedset
     */
    public static ManagedObjectComputedSet listSection(PlanimodManagers managers) {
        return new ManagedObjectComputedSet(managers, Section.class);
    }

    /**
     * List teams.
     * 
     * @param managers
     *            the managers
     * @return the observable computedset
     */
    public static ManagedObjectComputedSet listTeam(PlanimodManagers managers) {
        return new ManagedObjectComputedSet(managers, Team.class);
    }

}
