/**
 * Copyright(C) 2013 Patrik Dufresne Service Logiciel <info@patrikdufresne.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.planimod.ui.viewers;

import org.eclipse.core.databinding.conversion.Converter;
import org.eclipse.core.databinding.conversion.IConverter;

import com.planimod.core.ProductionEvent;
import com.planimod.ui.databinding.Converters;

//TODO The label provide should be deprecated.
public class ProductionEventViewerUtils {

    /**
     * Create a converter to display a Product object as string.
     * <p>
     * This converter return the product's name.
     * 
     * @return the converter
     */
    public static IConverter labelConverter() {
        return new Converter(ProductionEvent.class, String.class) {

            private IConverter shortDate = Converters.shortDateTimeConverter();

            @Override
            public Object convert(Object fromObject) {
                ProductionEvent event = (ProductionEvent) fromObject;

                return this.shortDate.convert(event.getShift().getStartDate()) + " - " //$NON-NLS-1$
                        + this.shortDate.convert(event.getShift().getEndDate())
                        + " - " //$NON-NLS-1$
                        + event.getProduct().getName();
            }
        };
    }

}
