/**
 * Copyright(C) 2013 Patrik Dufresne Service Logiciel <info@patrikdufresne.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.planimod.ui.views.admin;

import com.patrikdufresne.ui.PageBookViewPart;
import com.patrikdufresne.util.Localized;
import com.planimod.ui.views.admin.position.PositionPageViewPart;
import com.planimod.ui.views.admin.product.ProductPageViewPart;
import com.planimod.ui.views.admin.section.SectionPageViewPart;
import com.planimod.ui.views.admin.team.TeamPageViewPart;

/**
 * This view part is used to administer the advance parameter of the
 * application.
 * 
 * @author Patrik Dufresne
 * 
 */
public class AdminViewPart extends PageBookViewPart {

    /**
     * The part id.
     */
    public static final String ID = "com.planimod.ui.views.admin.AdminViewPart"; //$NON-NLS-1$

    /**
     * Create a new view part.
     */
    public AdminViewPart() {
        super(ID);
        setTitle(Localized.get(AdminViewPart.class, "AdminViewPart.title")); //$NON-NLS-1$
    }

    /**
     * This implementation ass the views to this book.
     */
    @Override
    protected void addViews() {
        addView(new AdminPageViewPart());
        addView(new SectionPageViewPart());
        addView(new PositionPageViewPart());
        addView(new ProductPageViewPart());
        addView(new TeamPageViewPart());
    }

}
