/**
 * Copyright(C) 2013 Patrik Dufresne Service Logiciel <info@patrikdufresne.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.planimod.ui.views.admin;

import org.eclipse.jface.preference.PreferenceNode;

/**
 * Preference node for Planimod appearence parameters
 * 
 * @author Patrik Dufresne
 * 
 */
public class AppearancePreferenceNode extends PreferenceNode {

    /**
     * Node id.
     */
    public static final String ID = "AppearancePreferenceNode"; //$NON-NLS-1$

    /**
     * Create a preference node.
     * 
     * @param managers
     *            The Planimod manager used to access the parameters
     */
    public AppearancePreferenceNode() {
        super(ID, new AppearancePreferencePage());
    }

}
